/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.sapics.client.gui;

import java.awt.BorderLayout;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOUtilisateur;
import org.cocktail.sapics.client.eof.model.EORevisionLot;
import org.cocktail.sapics.client.swing.TableSorter;
import org.cocktail.sapics.client.swing.ZEOTable;
import org.cocktail.sapics.client.swing.ZEOTableModel;
import org.cocktail.sapics.client.swing.ZEOTableModelColumn;
import org.cocktail.sapics.client.utilities.CocktailConstantes;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class LotSaisieView extends javax.swing.JDialog {
    
    /**
	 * 
	 */
	private static final long serialVersionUID = -4458916728144792149L;


	private EODisplayGroup eod;
	
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel ;
	protected TableSorter myTableSorter;

	/** Creates new form TemplateJDialog */
    public LotSaisieView(java.awt.Frame parent, boolean modal, EODisplayGroup dg) {
        super(parent, modal);

        eod = dg;

        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel2 = new javax.swing.JLabel();
        buttonGroup1 = new javax.swing.ButtonGroup();
        buttonGroup2 = new javax.swing.ButtonGroup();
        btnAnnuler = new javax.swing.JButton();
        btnValider = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        tfDebut = new javax.swing.JTextField();
        btnGetDebut = new javax.swing.JButton();
        tfFin = new javax.swing.JTextField();
        btnGetFin = new javax.swing.JButton();
        jLabel9 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        areaIntitule = new javax.swing.JTextArea();
        jLabel1 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        tfMontant = new javax.swing.JTextField();
        checkCatalogue = new javax.swing.JCheckBox();
        viewTable = new javax.swing.JPanel();
        jPanel1 = new javax.swing.JPanel();
        checkRevision = new javax.swing.JRadioButton();
        checkAvenant = new javax.swing.JRadioButton();
        jLabel11 = new javax.swing.JLabel();
        tfLibelleRevision = new javax.swing.JTextField();
        tfMontantRevision = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        btnAddRevision = new javax.swing.JButton();
        btnValiderRevision = new javax.swing.JButton();
        btnAnnulerRevision = new javax.swing.JButton();
        tfTitreLot = new javax.swing.JTextField();
        tfTitreRevisions = new javax.swing.JTextField();
        btnFermer = new javax.swing.JButton();
        checkValide = new javax.swing.JRadioButton();
        checkInvalide = new javax.swing.JRadioButton();
        btnSupprimerRevision = new javax.swing.JButton();
        btnModifierRevision = new javax.swing.JButton();

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Classe SNCF : ");

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Saisie / Révision d'un lot");

        btnAnnuler.setText("Annuler");

        btnValider.setText("Valider");

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Début : ");

        tfDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("valable jusqu'au");

        areaIntitule.setColumns(20);
        areaIntitule.setLineWrap(true);
        areaIntitule.setRows(5);
        jScrollPane1.setViewportView(areaIntitule);

        jLabel1.setText("LIBELLE :");

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Montant : ");

        tfMontant.setHorizontalAlignment(javax.swing.JTextField.RIGHT);

        checkCatalogue.setText("Catalogue");
        checkCatalogue.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkCatalogueActionPerformed(evt);
            }
        });

        viewTable.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTable.setLayout(new java.awt.BorderLayout());

        jPanel1.setBorder(javax.swing.BorderFactory.createLineBorder(CocktailConstantes.BG_COLOR_BLACK));

        buttonGroup1.add(checkRevision);
        checkRevision.setText("Révision");

        buttonGroup1.add(checkAvenant);
        checkAvenant.setText("Avenant");

        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("Libellé Avenant / Révision : ");

        tfLibelleRevision.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        tfMontantRevision.setHorizontalAlignment(javax.swing.JTextField.RIGHT);

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("Montant HT Corrigé :");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1Layout.createSequentialGroup()
                        .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 146, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfLibelleRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 317, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1Layout.createSequentialGroup()
                        .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 142, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(checkAvenant)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(checkRevision))
                            .add(tfMontantRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 85, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 174, Short.MAX_VALUE)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(btnAddRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(btnValiderRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, btnAnnulerRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(btnAddRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(26, 26, 26)
                                .add(btnAnnulerRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                                .add(btnValiderRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(26, 26, 26))))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(checkAvenant)
                            .add(checkRevision))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfMontantRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel11)
                            .add(tfLibelleRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap(54, Short.MAX_VALUE))
        );

        tfTitreLot.setBackground(CocktailConstantes.BG_COLOR_GREY);
        tfTitreLot.setEditable(false);
        tfTitreLot.setFont(new java.awt.Font("Times New Roman", 0, 11));
        tfTitreLot.setForeground(CocktailConstantes.BG_COLOR_WHITE);
        tfTitreLot.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitreLot.setText("TITULAIRES");
        tfTitreLot.setFocusable(false);

        tfTitreRevisions.setBackground(CocktailConstantes.BG_COLOR_GREY);
        tfTitreRevisions.setFont(new java.awt.Font("Times New Roman", 0, 11));
        tfTitreRevisions.setForeground(CocktailConstantes.BG_COLOR_WHITE);
        tfTitreRevisions.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitreRevisions.setText("REVISIONS ET AVENANTS");

        btnFermer.setText("Fermer");

        buttonGroup2.add(checkValide);
        checkValide.setText("Valide");
        checkValide.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkValideActionPerformed(evt);
            }
        });

        buttonGroup2.add(checkInvalide);
        checkInvalide.setText("Invalide");
        checkInvalide.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkInvalideActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, tfTitreRevisions, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 703, Short.MAX_VALUE)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, tfTitreLot, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 703, Short.MAX_VALUE)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 142, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(551, Short.MAX_VALUE))
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(19, 19, 19)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jLabel8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel10))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(tfMontant)
                            .add(tfDebut, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 127, Short.MAX_VALUE))
                        .add(4, 4, 4)
                        .add(btnGetDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel9)
                        .add(6, 6, 6)
                        .add(tfFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 128, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 71, Short.MAX_VALUE)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(layout.createSequentialGroup()
                                .add(checkValide)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkInvalide))
                            .add(checkCatalogue, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .add(39, 39, 39))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addContainerGap())
                    .add(layout.createSequentialGroup()
                        .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 683, Short.MAX_VALUE)
                        .addContainerGap())
                    .add(layout.createSequentialGroup()
                        .add(viewTable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 657, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnModifierRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, btnSupprimerRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addContainerGap())))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap(495, Short.MAX_VALUE)
                .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap(597, Short.MAX_VALUE)
                .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(tfTitreLot, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(6, 6, 6)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel8)
                        .add(tfDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(checkValide)
                        .add(checkInvalide))
                    .add(btnGetDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel9)
                            .add(tfFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(btnGetFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel10)
                    .add(tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(checkCatalogue))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jLabel1)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 91, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnValider)
                    .add(btnAnnuler))
                .add(23, 23, 23)
                .add(tfTitreRevisions, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(layout.createSequentialGroup()
                            .add(26, 26, 26)
                            .add(btnSupprimerRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                            .add(btnModifierRevision, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(26, 26, 26)))
                    .add(viewTable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnFermer)
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-719)/2, (screenSize.height-636)/2, 719, 636);
    }// </editor-fold>//GEN-END:initComponents

    private void checkCatalogueActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkCatalogueActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkCatalogueActionPerformed

    private void checkValideActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkValideActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkValideActionPerformed

    private void checkInvalideActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkInvalideActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkInvalideActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	MarchesSaisieView dialog = new MarchesSaisieView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextArea areaIntitule;
    private javax.swing.JButton btnAddRevision;
    private javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnAnnulerRevision;
    private javax.swing.JButton btnFermer;
    private javax.swing.JButton btnGetDebut;
    private javax.swing.JButton btnGetFin;
    private javax.swing.JButton btnModifierRevision;
    private javax.swing.JButton btnSupprimerRevision;
    private javax.swing.JButton btnValider;
    private javax.swing.JButton btnValiderRevision;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.ButtonGroup buttonGroup2;
    private javax.swing.JRadioButton checkAvenant;
    private javax.swing.JCheckBox checkCatalogue;
    private javax.swing.JRadioButton checkInvalide;
    private javax.swing.JRadioButton checkRevision;
    private javax.swing.JRadioButton checkValide;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextField tfDebut;
    private javax.swing.JTextField tfFin;
    private javax.swing.JTextField tfLibelleRevision;
    private javax.swing.JTextField tfMontant;
    private javax.swing.JTextField tfMontantRevision;
    private javax.swing.JTextField tfTitreLot;
    private javax.swing.JTextField tfTitreRevisions;
    protected javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables
    
    
    
    
    
    
    private void initGui() {
            	
    	btnValider.setIcon(CocktailConstantes.ICON_VALID);
        btnAnnuler.setIcon(CocktailConstantes.ICON_CANCEL);

    	btnGetDebut.setIcon(CocktailConstantes.ICON_CALENDAR);
    	btnGetFin.setIcon(CocktailConstantes.ICON_CALENDAR);

        btnAddRevision.setIcon(CocktailConstantes.ICON_ADD);
        btnAnnulerRevision.setIcon(CocktailConstantes.ICON_CANCEL);
        btnModifierRevision.setIcon(CocktailConstantes.ICON_UPDATE);
        btnSupprimerRevision.setIcon(CocktailConstantes.ICON_DELETE);

        btnValiderRevision.setIcon(CocktailConstantes.ICON_VALID);
        btnAnnulerRevision.setIcon(CocktailConstantes.ICON_CANCEL);

        btnFermer.setIcon(CocktailConstantes.ICON_CLOSE);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EORevisionLot.RL_DATE_KEY, "Date", 100);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EORevisionLot.RL_TYPE_KEY, "Type", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EORevisionLot.RL_LIBELLE_KEY, "Libellé", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EORevisionLot.RL_DIFF_KEY, "Montant Correction", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EORevisionLot.UTILISATEUR_KEY+"."+EOUtilisateur.NOM_PRENOM_KEY, "Auteur", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTableNuits.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

    }

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JTextArea getAreaIntitule() {
		return areaIntitule;
	}

	public void setAreaIntitule(javax.swing.JTextArea areaIntitule) {
		this.areaIntitule = areaIntitule;
	}

	public javax.swing.JButton getBtnAddRevision() {
		return btnAddRevision;
	}

	public void setBtnAddRevision(javax.swing.JButton btnAddRevision) {
		this.btnAddRevision = btnAddRevision;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnAnnulerRevision() {
		return btnAnnulerRevision;
	}

	public void setBtnAnnulerRevision(javax.swing.JButton btnAnnulerRevision) {
		this.btnAnnulerRevision = btnAnnulerRevision;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JButton getBtnGetDebut() {
		return btnGetDebut;
	}

	public void setBtnGetDebut(javax.swing.JButton btnGetDebut) {
		this.btnGetDebut = btnGetDebut;
	}

	public javax.swing.JButton getBtnGetFin() {
		return btnGetFin;
	}

	public void setBtnGetFin(javax.swing.JButton btnGetFin) {
		this.btnGetFin = btnGetFin;
	}

	public javax.swing.JButton getBtnModifierRevision() {
		return btnModifierRevision;
	}

	public void setBtnModifierRevision(javax.swing.JButton btnModifierRevision) {
		this.btnModifierRevision = btnModifierRevision;
	}

	public javax.swing.JButton getBtnSupprimerRevision() {
		return btnSupprimerRevision;
	}

	public void setBtnSupprimerRevision(javax.swing.JButton btnSupprimerRevision) {
		this.btnSupprimerRevision = btnSupprimerRevision;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JButton getBtnValiderRevision() {
		return btnValiderRevision;
	}

	public void setBtnValiderRevision(javax.swing.JButton btnValiderRevision) {
		this.btnValiderRevision = btnValiderRevision;
	}

	public javax.swing.JRadioButton getCheckAvenant() {
		return checkAvenant;
	}

	public void setCheckAvenant(javax.swing.JRadioButton checkAvenant) {
		this.checkAvenant = checkAvenant;
	}

	public javax.swing.JCheckBox getCheckCatalogue() {
		return checkCatalogue;
	}

	public void setCheckCatalogue(javax.swing.JCheckBox checkCatalogue) {
		this.checkCatalogue = checkCatalogue;
	}

	public javax.swing.JRadioButton getCheckInvalide() {
		return checkInvalide;
	}

	public void setCheckInvalide(javax.swing.JRadioButton checkInvalide) {
		this.checkInvalide = checkInvalide;
	}

	public javax.swing.JRadioButton getCheckRevision() {
		return checkRevision;
	}

	public void setCheckRevision(javax.swing.JRadioButton checkRevision) {
		this.checkRevision = checkRevision;
	}

	public javax.swing.JRadioButton getCheckValide() {
		return checkValide;
	}

	public void setCheckValide(javax.swing.JRadioButton checkValide) {
		this.checkValide = checkValide;
	}

	public javax.swing.JTextField getTfDebut() {
		return tfDebut;
	}

	public void setTfDebut(javax.swing.JTextField tfDebut) {
		this.tfDebut = tfDebut;
	}

	public javax.swing.JTextField getTfFin() {
		return tfFin;
	}

	public void setTfFin(javax.swing.JTextField tfFin) {
		this.tfFin = tfFin;
	}

	public javax.swing.JTextField getTfLibelleRevision() {
		return tfLibelleRevision;
	}

	public void setTfLibelleRevision(javax.swing.JTextField tfLibelleRevision) {
		this.tfLibelleRevision = tfLibelleRevision;
	}

	public javax.swing.JTextField getTfMontant() {
		return tfMontant;
	}

	public void setTfMontant(javax.swing.JTextField tfMontant) {
		this.tfMontant = tfMontant;
	}

	public javax.swing.JTextField getTfMontantRevision() {
		return tfMontantRevision;
	}

	public void setTfMontantRevision(javax.swing.JTextField tfMontantRevision) {
		this.tfMontantRevision = tfMontantRevision;
	}

	public javax.swing.JTextField getTfTitreLot() {
		return tfTitreLot;
	}

	public void setTfTitreLot(javax.swing.JTextField tfTitreLot) {
		this.tfTitreLot = tfTitreLot;
	}

	public javax.swing.JTextField getTfTitreRevisions() {
		return tfTitreRevisions;
	}

	public void setTfTitreRevisions(javax.swing.JTextField tfTitreRevisions) {
		this.tfTitreRevisions = tfTitreRevisions;
	}

	public javax.swing.JPanel getViewTable() {
		return viewTable;
	}

	public void setViewTable(javax.swing.JPanel viewTable) {
		this.viewTable = viewTable;
	}


}
